Set Force HTTPS status
curl --request POST \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/force-https-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "ENABLED_REDIRECT_TO_PRIMARY"
}
'import requests
url = "https://api.kinsta.com/v2/sites/environments/{env_id}/force-https-status"
payload = { "type": "ENABLED_REDIRECT_TO_PRIMARY" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'ENABLED_REDIRECT_TO_PRIMARY'})
};
fetch('https://api.kinsta.com/v2/sites/environments/{env_id}/force-https-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Updating Force HTTPS status in progress. Use the operation_id to check the status.",
"status": 202,
"operation_id": "force-https:update-status-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Could not find data or the user does not have permissions to retrieve it",
"status": 404,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}WordPress Site Environments
Set Force HTTPS status
POST
/
sites
/
environments
/
{env_id}
/
force-https-status
Set Force HTTPS status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Available options:
ENABLED_FOR_ALL, ENABLED_REDIRECT_TO_PRIMARY, DISABLED Example:
"ENABLED_REDIRECT_TO_PRIMARY"
Response
Force HTTPS status update for the given environment is in progress
⌘I